App\ContactBundle\Entity\MessageRecipient:
  type: entity
  repositoryClass: App\ContactBundle\Repository\MessageRecipientRepository
  table: contact_message_recipient
  id:
    id:
      type: string
      unique: true
      generator:
        strategy: CUSTOM
      customIdGenerator:
        class: Ramsey\Uuid\Doctrine\UuidGenerator
  fields:
    to_name:
      type: string
      length: 255
    to_e_mail:
      type: string
      length: 255
    date_sent:
      type: datetime
      nullable: true
    sent:
      type: boolean
      default: false
  manyToOne:
    message:
      targetEntity: Message
      joinColumn:
        name: message_id
        referencedColumnName: id
      inversedBy: message_recipient
    to_user:
      targetEntity: App\UserBundle\Entity\UserList
      joinColumn:
        name: to_user_id
        referencedColumnName: id
      inversedBy: message_recipient
  oneToMany:
    message_error:
      targetEntity: MessageError
      mappedBy: message_recipient
      cascade: [ "persist", "remove" ]
    message_stat:
      targetEntity: MessageStat
      mappedBy: message_recipient
      cascade: [ "persist", "remove" ]